### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-app-next/ecl-app-core/ecl-app-core.component.ts`

### Extends

`EclAppComponent`

### Metadata

selector | `ecl-app-core`
templateUrl | `./ecl-app-core.component.html`

### Index

###### Properties
eclLanguageList eclSiteHeader
###### Outputs
languageChanged
###### HostBindings
class.ux-t-ecl

### Outputs

languageChanged
Type : `EventEmitter`

### HostBindings

class.ux-t-ecl
Default value : `true`

### Properties

eclLanguageList
Type : `EclLanguageListComponent`
Decorators : `@ContentChild(EclLanguageListComponent)`

eclSiteHeader
Type : `EclSiteHeaderComponent`
Decorators : `@ContentChild(EclSiteHeaderCoreComponent)`

# result-matching ""

# No results matching ""